Skip to main content

createCloudAccount

Add a cloud account to a CSPM integration

createCloudAccount(
input: CreateCloudAccountInput!
): CreateCloudAccountPayload

Arguments​

createCloudAccount.input ● CreateCloudAccountInput! non-null input​

Parameters for CreateCloudAccount

Type​

CreateCloudAccountPayload object​

Autogenerated return type of CreateCloudAccount.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the cspmIntegrations query first and use data.cspmIntegrations.collection[].id as cspmIntegrationId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateCloudAccount($input: CreateCloudAccountInput!) {\n createCloudAccount(input: $input) { clientMutationId cloudAccount { id status accountId } errors }\n}","variables":{"input":{"cspmIntegrationId":1,"companyId":1,"provider":"example","accountId":"example"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute